Start a live research page
POST
/v1/research-sessions
const url = 'https://www.cemented.ai/v1/research-sessions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"question":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://www.cemented.ai/v1/research-sessions \ --header 'Content-Type: application/json' \ --data '{ "question": "example" }'Creates a private retained page for a research question. Pass the returned id as researchId to /v1/search and /v1/contents. Unavailable under zero data retention.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
question
required
string
Example generated
{ "question": "example"}Responses
Section titled “ Responses ”Private live research page
Media type application/json
object
id
required
string format: uuid
url
required
string format: uri
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "url": "https://example.com"}Invalid question or retention mode
Media type application/json
object
error
required
object
message
required
string
type
required
string
code
required
string
Example generated
{ "error": { "message": "example", "type": "example", "code": "example" }}Unauthorized
Media type application/json
object
error
required
object
message
required
string
type
required
string
code
required
string
Example generated
{ "error": { "message": "example", "type": "example", "code": "example" }}